Package org.apache.lucene.codecs.lucene99

# Class Lucene99FlatVectorsReader

java.lang.Object
org.apache.lucene.codecs.KnnVectorsReader
org.apache.lucene.codecs.hnsw.FlatVectorsReader
org.apache.lucene.codecs.lucene99.Lucene99FlatVectorsReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Accountable`

public final class Lucene99FlatVectorsReader extends FlatVectorsReader
Reads vectors from the index segments.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.codecs.hnsw.FlatVectorsReader

  `vectorScorer`

  ### Fields inherited from interface org.apache.lucene.util.Accountable

  `NULL_ACCOUNTABLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Lucene99FlatVectorsReader(SegmentReadState state, FlatVectorsScorer scorer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkIntegrity()`
  Checks consistency of this reader.
  `void`
  `close()`
  `void`
  `finishMerge()`
  Optional: reset or close merge resources used in the reader
  `ByteVectorValues`
  `getByteVectorValues(String field)`
  Returns the `ByteVectorValues` for the given `field`.
  `FloatVectorValues`
  `getFloatVectorValues(String field)`
  Returns the `FloatVectorValues` for the given `field`.
  `FlatVectorsReader`
  `getMergeInstance()`
  Returns an instance optimized for merging.
  `RandomVectorScorer`
  `getRandomVectorScorer(String field, byte[] target)`
  Returns a `RandomVectorScorer` for the given field and target vector.
  `RandomVectorScorer`
  `getRandomVectorScorer(String field, float[] target)`
  Returns a `RandomVectorScorer` for the given field and target vector.
  `long`
  `ramBytesUsed()`
  Return the memory usage of this object in bytes.

  ### Methods inherited from class org.apache.lucene.codecs.hnsw.FlatVectorsReader

  `getFlatVectorScorer, search, search`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.util.Accountable

  `getChildResources`

- ## Constructor Details

  - ### Lucene99FlatVectorsReader

    public Lucene99FlatVectorsReader(SegmentReadState state, FlatVectorsScorer scorer) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### ramBytesUsed

    public long ramBytesUsed()
    Description copied from interface: `Accountable`
    Return the memory usage of this object in bytes. Negative values are illegal.

  - ### checkIntegrity

    public void checkIntegrity() throws IOException
    Description copied from class: `KnnVectorsReader`
    Checks consistency of this reader.

    Note that this may be costly in terms of I/O, e.g. may involve computing a checksum value against large data files.

    Specified by:
      `checkIntegrity` in class `KnnVectorsReader`
    Throws:
      `IOException`

  - ### getMergeInstance

    public FlatVectorsReader getMergeInstance()
    Description copied from class: `FlatVectorsReader`
    Returns an instance optimized for merging. This instance may only be consumed in the thread that called `FlatVectorsReader.getMergeInstance()`.

    The default implementation returns `this`

    Overrides:
      `getMergeInstance` in class `FlatVectorsReader`

  - ### getFloatVectorValues

    public FloatVectorValues getFloatVectorValues(String field) throws IOException
    Description copied from class: `KnnVectorsReader`
    Returns the `FloatVectorValues` for the given `field`. The behavior is undefined if the given field doesn't have KNN vectors enabled on its `FieldInfo`. The return value is never `null`.
    Specified by:
      `getFloatVectorValues` in class `KnnVectorsReader`
    Throws:
      `IOException`

  - ### getByteVectorValues

    public ByteVectorValues getByteVectorValues(String field) throws IOException
    Description copied from class: `KnnVectorsReader`
    Returns the `ByteVectorValues` for the given `field`. The behavior is undefined if the given field doesn't have KNN vectors enabled on its `FieldInfo`. The return value is never `null`.
    Specified by:
      `getByteVectorValues` in class `KnnVectorsReader`
    Throws:
      `IOException`

  - ### getRandomVectorScorer

    public RandomVectorScorer getRandomVectorScorer(String field, float[] target) throws IOException
    Description copied from class: `FlatVectorsReader`
    Returns a `RandomVectorScorer` for the given field and target vector.
    Specified by:
      `getRandomVectorScorer` in class `FlatVectorsReader`
    Parameters:
      `field` - the field to search
      `target` - the target vector
    Returns:
      a `RandomVectorScorer` for the given field and target vector.
    Throws:
      `IOException` - if an I/O error occurs when reading from the index.

  - ### getRandomVectorScorer

    public RandomVectorScorer getRandomVectorScorer(String field, byte[] target) throws IOException
    Description copied from class: `FlatVectorsReader`
    Returns a `RandomVectorScorer` for the given field and target vector.
    Specified by:
      `getRandomVectorScorer` in class `FlatVectorsReader`
    Parameters:
      `field` - the field to search
      `target` - the target vector
    Returns:
      a `RandomVectorScorer` for the given field and target vector.
    Throws:
      `IOException` - if an I/O error occurs when reading from the index.

  - ### finishMerge

    public void finishMerge() throws IOException
    Description copied from class: `KnnVectorsReader`
    Optional: reset or close merge resources used in the reader

    The default implementation is empty

    Overrides:
      `finishMerge` in class `KnnVectorsReader`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Throws:
      `IOException`